<?php
class A
{
  function __construct()
  {
    echo("Jestem konstruktorem z klasy A.\n");
  }
  function __destruct()
  {
    echo("Jestem destruktorem z klasy A.\n");
  }
}

class B extends A
{
  function __construct()
  {
    echo("Jestem konstruktorem z klasy B.\n");
  }
  function __destruct()
  {
    echo("Jestem destruktorem z klasy B.\n");
  }
}

class C extends A
{
}

$objB = new B();
//$objC = new C();
?>
